- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe

class FFProbe extends Binary

FFProbe driver

## Methods

| __construct(type $binary, Logger $logger) Binary constructor | from Binary
| __destruct() Destructor | from Binary
static Binary | load(Logger $logger) Loads the adapter | from Binary
string | probeFormat(string $pathfile) Probe the format of a given file |
array | probeStreams(string $pathfile) Probe the streams contained in a given file |

## Details

###
in Binary at line 39
`public __construct(type $binary, Logger $logger)`

Binary constructor

#### Parameters

type | $binary | The path file to the binary
Logger | $logger | A logger

###
in Binary at line 52
`public __destruct()`

Destructor

###
in Binary at line 65
`static public Binary load(Logger $logger)`

Loads the adapter

#### Parameters

Logger | $logger | A logger

#### Return Value

Binary | The binary

###
at line 35
`public string probeFormat(string $pathfile)`

Probe the format of a given file

#### Parameters

string | $pathfile |

#### Return Value

string | A Json object containing the key/values of the probe output

#### Exceptions

InvalidArgumentException |
RuntimeException |

###
at line 81
`public array probeStreams(string $pathfile)`

Probe the streams contained in a given file

#### Parameters

string | $pathfile |

#### Return Value

array | An array of streams array

#### Exceptions

InvalidArgumentException |
RuntimeException |